try_to_del_timer_sync
Prev | Delaying, scheduling, and timer routines | Next

## Name

try_to_del_timer_sync — Try to deactivate a timer

## Synopsis

`int try_to_del_timer_sync (` | struct timer_list * | timer`)`;

## Arguments

`timer`

  timer do del

## Description

This function tries to deactivate a timer. Upon successful (ret >= 0) exit the timer is not queued and the handler is not running on any CPU.

It must not be called from interrupt contexts.

Prev | Up | Next
del_timer | Home | del_timer_sync